"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
var apputils_1 = require("@jupyterlab/apputils");
var virtualdom_1 = require("@phosphor/virtualdom");
/**
 * Instruct the server to perform a build
 *
 * @param builder the build manager
 */
function doBuild(builder) {
    if (builder.isAvailable) {
        return builder.build().then(function () {
            return apputils_1.showDialog({
                title: 'Build Complete',
                body: 'Build successfully completed, reload page?',
                buttons: [apputils_1.Dialog.cancelButton(),
                    apputils_1.Dialog.warnButton({ label: 'RELOAD' })]
            });
        }).then(function (result) {
            if (result.button.accept) {
                location.reload();
            }
        }).catch(function (err) {
            apputils_1.showDialog({
                title: 'Build Failed',
                body: virtualdom_1.h.pre(err.message)
            });
        });
    }
    return Promise.resolve();
}
exports.doBuild = doBuild;
;
//# sourceMappingURL=build-helper.js.map